Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching.adapter
Class SbmeMatcherAdapterConfig

    java.lang.Object
      com.sun.mdm.index.matching.adapter.SbmeMatcherAdapterConfig

All Implemented Interfaces:
  MatchEngineConfiguration

public class SbmeMatcherAdapterConfig
extends java.lang.Object
implements MatchEngineConfiguration

Class to provide the Master Index match engine with user configuration It allows the Match Engine access to the Configuration Service.

Nested Class Summary
`static class` | `SbmeMatcherAdapterConfig.CSConfigFileAccess` Inner class that implements the Master Index Match engine interface giving access to the configuration files

Constructor Summary
`SbmeMatcherAdapterConfig()` Creates new SbmeMatcherAdapterConfig

Method Summary
`(package private) SbmeMatcherAdapterConfig.CSConfigFileAccess` | `getConfigFileAccess()` Get access to the match engine configuration files from the Configuration Service
`java.lang.String` | `getConfigurationFileName()` Hard-coded sample until the registry integration is done

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SbmeMatcherAdapterConfig

    public SbmeMatcherAdapterConfig()

  Creates new SbmeMatcherAdapterConfig

Method Detail

### getConfigFileAccess

    SbmeMatcherAdapterConfig.CSConfigFileAccess getConfigFileAccess()
                                                              throws java.lang.InstantiationException,
                                                                     ConfigurationException

  Get access to the match engine configuration files from the Configuration Service

  Returns:
    the configuration file access
  Throws:
    `java.lang.InstantiationException`
    `ConfigurationException`

### getConfigurationFileName

    public java.lang.String getConfigurationFileName()

  Hard-coded sample until the registry integration is done

  Returns:
    the configuration file name

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.